!set title=Given two products
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Gang Xiao
email=xiao@unice.fr
language=en

varcnt=22
prevarcnt=21
postvarcnt=0
replycnt=0
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

m_options=nofloat
m_methods=ineq/rewrite, ineq/simpdeduc, ineq/mulexp, ineq/divexp,	ineq/trans, ineq/addineq	prf/contrapose
m_minsteps=3
tmp=!trim a,b,c,d	x,y,z,t	r,s,t,u	p,q,r,s	
val2=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val2

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val2=$(tmp0)
tmp0=!shuffle $val2

val2=$(tmp0)
tmp0=!item 1 of $val2

val3=$(tmp0)
tmp0=!item 2 of $val2

val4=$(tmp0)
tmp0=!item 3 of $val2

val5=$(tmp0)
tmp0=!item 4 of $val2

val6=$(tmp0)
tmp0=!randitem ,=

val7=$(tmp0)
tmp0=!shuffle >,<

val8=$(tmp0)
tmp0=!item 1 of $val8

val9=$(tmp0)$val7
tmp0=!item 2 of $val8

val10=$(tmp0)$val7
tmp=!trim positifs,>,$val9,$val10	négatifs,<,$val10,$val9	
val11=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val11

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val11=$(tmp0)
tmp0=!item 1 of $val11

val12=$(tmp0)
tmp0=!item 2 of $val11

val13=$(tmp0)
tmp0=!item 3 of $val11

val14=$(tmp0)
tmp0=!item 4 of $val11

val15=$(tmp0)
tmp=!translate ";': to $     $ in $val3*$val4 $val10 $val5*$val6

tmp=!lower $tmp
tmp0=!exec maxima fullratsimp($tmp);
val16=$(tmp0)
val17=$val3 $val14 $val5
val18=$val4 $val15 $val6
m_context=$val3 $val13 0	$val4 $val13 0	$val5 $val13 0	$val6 $val13 0	$val16	$val17
m_goal=$val18
val19=$m_goal
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Let 
!insmath $val3, $val4, $val5, $val6
$() be four $val12 real numbers with	
!insmath $val16
$() and 
!insmath $val17
$().	Prove 
!insmath  $val19 
$().	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=3,4,5,6,12,16,17,19
embedcnt=0
